Bug 153820 - JLabel.setText called off EQ by ParametersPanel.showProblem
JLabel.setText called off EQ by ParametersPanel.showProblem
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Refactoring
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jan Pokorsky
issues@java
http://deadlock.netbeans.org/hudson/j...
: RANDOM, TEST, THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-25 02:03 UTC by Jesse Glick
Modified: 2009-05-23 06:54 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2008-11-25 02:03:37 UTC
I am guessing that the improper off-EQ call to Swing caused this exception.

java.lang.NullPointerException
	at javax.swing.text.View.setParent(View.java:353)
	at javax.swing.text.CompositeView.setParent(CompositeView.java:119)
	at javax.swing.text.View.setParent(View.java:356)
	at javax.swing.text.CompositeView.setParent(CompositeView.java:119)
	at javax.swing.text.FlowView.setParent(FlowView.java:272)
	at javax.swing.text.html.ParagraphView.setParent(ParagraphView.java:58)
	at javax.swing.text.View.setParent(View.java:356)
	at javax.swing.text.CompositeView.setParent(CompositeView.java:119)
	at javax.swing.text.html.BlockView.setParent(BlockView.java:55)
	at javax.swing.text.html.HTMLEditorKit$HTMLFactory$BodyBlockView.setParent(HTMLEditorKit.java:1271)
	at javax.swing.text.View.setParent(View.java:356)
	at javax.swing.text.CompositeView.setParent(CompositeView.java:119)
	at javax.swing.text.html.BlockView.setParent(BlockView.java:55)
	at javax.swing.plaf.basic.BasicHTML.updateRenderer(BasicHTML.java:87)
	at javax.swing.plaf.basic.BasicLabelUI.propertyChange(BasicLabelUI.java:351)
	at java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:333)
	at java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:270)
	at java.awt.Component.firePropertyChange(Component.java:7192)
	at javax.swing.JLabel.setText(JLabel.java:306)
	at org.netbeans.modules.refactoring.spi.impl.ParametersPanel.showProblem(ParametersPanel.java:741)
	at org.netbeans.modules.refactoring.spi.impl.ParametersPanel.stateChanged(ParametersPanel.java:721)
	at org.netbeans.modules.refactoring.java.ui.CopyClassPanel.fireChange(CopyClassPanel.java:154)
	at org.netbeans.modules.refactoring.java.ui.CopyClassPanel.insertUpdate(CopyClassPanel.java:322)
	at javax.swing.text.AbstractDocument.fireInsertUpdate(AbstractDocument.java:184)
	at javax.swing.text.AbstractDocument.handleInsertString(AbstractDocument.java:754)
	at javax.swing.text.AbstractDocument.insertString(AbstractDocument.java:711)
	at javax.swing.text.PlainDocument.insertString(PlainDocument.java:114)
	at javax.swing.text.AbstractDocument.replace(AbstractDocument.java:673)
	at javax.swing.text.JTextComponent.setText(JTextComponent.java:1441)
	at org.netbeans.modules.refactoring.java.ui.CopyClassPanel.initialize(CopyClassPanel.java:118)
	at org.netbeans.modules.refactoring.spi.impl.ParametersPanel$10.run(ParametersPanel.java:500)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:573)
[catch] at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1005)
Comment 1 Jan Pokorsky 2008-12-11 16:13:49 UTC
Yes, it seems to be that case.
Comment 2 Jan Pokorsky 2009-05-22 15:10:22 UTC
fixed http://hg.netbeans.org/jet-main/rev/eea327e407ed
Comment 3 Quality Engineering 2009-05-23 06:54:16 UTC
Integrated into 'main-golden', will be available in build *200905230201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/eea327e407ed
User: Jan Pokorsky <jpokorsky@netbeans.org>
Log: #153820: initialize UI inside EDT


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo